Passer au contenu principal
POST
/
projects
/
{projectId}
/
exports
Create an export
curl --request POST \
  --url https://api.youka.io/api/v1/projects/{projectId}/exports \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "resolution": "1080p",
  "quality": "average",
  "fps": 30,
  "transparent": false,
  "renderMode": "standard",
  "stemVolumes": {},
  "playbackRate": 2.05,
  "toneFrequency": 1.005,
  "presetId": "<string>",
  "settingsOverride": {
    "displayLanguages": [
      "<string>"
    ]
  }
}
'
import requests

url = "https://api.youka.io/api/v1/projects/{projectId}/exports"

payload = {
"resolution": "1080p",
"quality": "average",
"fps": 30,
"transparent": False,
"renderMode": "standard",
"stemVolumes": {},
"playbackRate": 2.05,
"toneFrequency": 1.005,
"presetId": "<string>",
"settingsOverride": { "displayLanguages": ["<string>"] }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
resolution: '1080p',
quality: 'average',
fps: 30,
transparent: false,
renderMode: 'standard',
stemVolumes: {},
playbackRate: 2.05,
toneFrequency: 1.005,
presetId: '<string>',
settingsOverride: {displayLanguages: ['<string>']}
})
};

fetch('https://api.youka.io/api/v1/projects/{projectId}/exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "projectId": "<string>",
  "taskId": "<string>",
  "exportId": "<string>",
  "projectUrl": "<string>",
  "taskUrl": "<string>",
  "exportUrl": "<string>"
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

En-têtes

Idempotency-Key
string

Paramètres de chemin

projectId
string
requis

Corps

application/json
resolution
enum<string>
défaut:1080p
requis
Options disponibles:
540p,
720p,
1080p,
4k
quality
enum<string>
défaut:average
requis
Options disponibles:
low,
average,
high
fps
défaut:30
requis
transparent
boolean
défaut:false
requis
renderMode
enum<string>
défaut:standard
requis
Options disponibles:
standard,
fast
stemVolumes
object
playbackRate
number
Plage requise: 0.1 <= x <= 4
toneFrequency
number
Plage requise: 0.01 <= x <= 2
presetId
string
settingsOverride
object

Réponse

202 - application/json

Export task accepted

projectId
string
requis
taskId
string
requis
exportId
string
requis
projectUrl
string<uri>
requis
taskUrl
string<uri>
requis
exportUrl
string<uri>
requis